diff --git a/product/features/com.jboss.jbds.mylyn.feature/feature.xml b/product/features/com.jboss.jbds.mylyn.feature/feature.xml
index 9c368ae..60e4ed8 100644
--- a/product/features/com.jboss.jbds.mylyn.feature/feature.xml
+++ b/product/features/com.jboss.jbds.mylyn.feature/feature.xml
@@ -1,19 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
-      id="com.jboss.jbds.mylyn.feature"
-      label="Mylyn (Certified)"
-      version="1.0.0.qualifier"
-      provider-name="JBoss by Red Hat">
+<feature id="com.jboss.jbds.mylyn.feature" label="Mylyn (Certified)" version="1.0.0.qualifier" provider-name="JBoss by Red Hat">
 
-   <description>
-      Contains Mylyn features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+	<description>
+      Contains Mylyn 3.6 including support for Bugzilla, CVS, eGit, Java Development, Plug-In Development and Wikitext (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>
+	<copyright>
       %copyright
    </copyright>
 
-   <license url="license.html">
+	<license url="license.html">
       Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
@@ -22,30 +18,98 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
-   
-   <requires>
-		<!--<import feature="com.atlassian.connector.commons" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.bamboo" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.commons" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.crucible" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.cvs" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.jira" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.monitor" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.subclipse" version="3.0.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.jira_feature" version="3.4.0" match="compatible"/> -->
 
-		<import feature="org.eclipse.mylyn.bugzilla_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.commons" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.context_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.cvs" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.git" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.ide_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.java_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.pde_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.team_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.versions" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.wikitext_feature" version="1.5.0" match="compatible"/>
-   </requires>
+	<requires>
+		<import plugin="org.eclipse.mylyn.commons.net" version="3.6.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.commons.xmlrpc" version="3.6.0" match="compatible" />
+		<import plugin="org.apache.xmlrpc" version="3.0.0" match="compatible" />
+		<import plugin="org.apache.ws.commons.util" version="1.0.1" match="compatible" />
+		<import plugin="javax.xml.bind" version="2.0.0" match="compatible" />
+		<import plugin="javax.xml.stream" version="1.0.1" match="compatible" />
+		<import plugin="org.eclipse.mylyn.commons.core" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.commons.net" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.commons.repositories" version="0.1.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.commons.team" version="0.1.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.commons.ui" version="3.4.0" match="compatible" />
+		<import plugin="org.apache.commons.codec" version="1.3.0" match="compatible" />
+		<import plugin="org.apache.commons.lang" version="2.3.0" match="compatible" />
+		<import plugin="org.apache.commons.logging" version="1.0.4" match="compatible" />
+		<import plugin="org.apache.commons.httpclient" version="3.1.0" match="compatible" />
+
+		<import feature="org.eclipse.egit" version="0.10.1" match="greaterOrEqual" />
+		<import feature="org.eclipse.cvs" version="1.1.0" match="compatible" />
+		<import feature="org.eclipse.jdt" version="3.4.0" match="compatible" />
+		<import feature="org.eclipse.pde" version="3.4.0" match="compatible" />
+	</requires>
+
+	<plugin id="org.eclipse.mylyn.bugzilla.core" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.bugzilla.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.core" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.net" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.soap" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.xmlrpc" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.apache.xmlrpc" version="3.0.0.v20100427-1100" unpack="false" />
+	<plugin id="org.apache.ws.commons.util" version="1.0.1.v20100518-1140" unpack="false" />
+	<plugin id="javax.xml.bind" version="2.2.0.v201103041518" unpack="false" />
+	<plugin id="org.apache.axis" version="1.4.0.v201005080400" />
+	<plugin id="javax.wsdl" version="1.6.2.v201012040545" unpack="false" />
+	<plugin id="javax.xml.rpc" version="1.1.0.v201005080400" />
+	<plugin id="javax.xml.soap" version="1.3.0.v201012031540" />
+	<plugin id="org.apache.commons.discovery" version="0.2.0.v201004190315" />
+	<plugin id="org.apache.commons.logging" version="1.1.1.v201101211721" unpack="false" />
+	<plugin id="javax.activation" version="1.1.0.v201005080500" unpack="false" />
+	<plugin id="javax.mail" version="1.4.0.v201005080615" unpack="false" />
+	<plugin id="org.apache.commons.codec" version="1.3.0.v201101211617" unpack="false" />
+	<plugin id="org.apache.commons.httpclient" version="3.1.0.v201012070820" unpack="false" />
+	<plugin id="org.apache.commons.lang" version="2.4.0.v201005080502" unpack="false" />
+	<plugin id="javax.xml" version="1.3.4.v201005080400" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.repositories" version="0.8.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.team" version="0.8.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.notifications" version="0.8.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.commons.screenshots" version="1.0.0.I20110415-0655" unpack="false" />
+	<plugin id="org.apache.commons.io" version="2.0.1.v201101200200" unpack="false" />
+	<plugin id="org.json" version="1.0.0.v201011060100" unpack="false" />
+	<plugin id="org.jdom" version="1.1.1.v201101151400" unpack="false" />
+	<plugin id="org.eclipse.mylyn.context.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.resources.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.cvs.core" version="0.8.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.context.core" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.discovery.core" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.discovery.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.monitor.core" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.monitor.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.tasks.core" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.tasks.search" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.tasks.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.git.core" version="0.8.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.team.cvs" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.bugzilla.ide" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.ide.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.tasks.bugs" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.help.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.java.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.java.tasks" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.ide.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.ide.ant" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.pde.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.team.ui" version="3.6.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.versions.core" version="0.8.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.versions.ui" version="0.8.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.core" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.textile.core" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.mediawiki.core" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.confluence.core" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.tracwiki.core" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.twiki.core" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.ui" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.help.ui" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.textile.ui" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.mediawiki.ui" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.confluence.ui" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.tracwiki.ui" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.twiki.ui" version="1.5.0.I20110415-0655" unpack="false" />
+	<plugin id="org.eclipse.mylyn.wikitext.tasks.ui" version="1.5.0.I20110415-0655" unpack="false" />
+
 </feature>
diff --git a/product/features/com.jboss.jbds.pmd.feature/feature.xml b/product/features/com.jboss.jbds.pmd.feature/feature.xml
index 8f4744e..e9e6f61 100644
--- a/product/features/com.jboss.jbds.pmd.feature/feature.xml
+++ b/product/features/com.jboss.jbds.pmd.feature/feature.xml
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature id="com.jboss.jbds.pmd.feature" label="PMD (Certified)" version="1.0.1.qualifier" provider-name="JBoss by Red Hat">
 
-	<description>Contains PMD features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.</description>
+	<description>Contains PMD 3.2.4 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.</description>
 
 	<copyright>%copyright</copyright>
 
@@ -16,14 +16,14 @@ Raleigh NC 27606 USA.
 See also http://pmd.sourceforge.net/license.html</license>
 
 	<requires>
-		  <import plugin="org.eclipse.core.resources"/>
-		  <import plugin="org.eclipse.core.runtime"/>
-		  <import plugin="org.eclipse.jdt.core"/>
-		  <import plugin="org.eclipse.jface.text"/>
-		  <import plugin="org.eclipse.ui"/>
-		  <import plugin="org.eclipse.ui.editors"/>
-		  <import plugin="org.eclipse.ui.ide"/>
-		  <import plugin="org.eclipse.help"/>
+		<import plugin="org.eclipse.core.resources" />
+		<import plugin="org.eclipse.core.runtime" />
+		<import plugin="org.eclipse.jdt.core" />
+		<import plugin="org.eclipse.jface.text" />
+		<import plugin="org.eclipse.ui" />
+		<import plugin="org.eclipse.ui.editors" />
+		<import plugin="org.eclipse.ui.ide" />
+		<import plugin="org.eclipse.help" />
 	</requires>
 
 	<!-- because Tycho can't handle having a feature and plugin w/ the same ID/version, 
diff --git a/product/features/com.jboss.jbds.springide.feature/feature.xml b/product/features/com.jboss.jbds.springide.feature/feature.xml
index f0ffaad..a53ce6d 100644
--- a/product/features/com.jboss.jbds.springide.feature/feature.xml
+++ b/product/features/com.jboss.jbds.springide.feature/feature.xml
@@ -1,19 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
-      id="com.jboss.jbds.springide.feature"
-      label="Spring IDE (Certified)"
-      version="1.0.2.qualifier"
-      provider-name="JBoss by RedHat">
-
-   <description>
-      Contains Spring IDE features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+<feature id="com.jboss.jbds.springide.feature" label="Spring IDE (Certified)" version="1.0.2.qualifier" provider-name="JBoss by RedHat">
+
+	<description>
+      Contains Spring IDE 2.5.1 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>
+	<copyright>
       %copyright
    </copyright>
 
-   <license url="http://www.springsource.org/about">
+	<license url="http://www.springsource.org/about">
 SPRING IDE PROJECT SOFTWARE USER AGREEMENT
 March 26, 2007
 
@@ -61,14 +57,94 @@ Content may contain encryption software. The country in which you are currently
 Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.
    </license>
 
-   <requires>
-      <import feature="org.springframework.ide.eclipse.aop.feature" version="2.5.1" match="compatible"/>
-      <import feature="org.springframework.ide.eclipse.autowire.feature" version="2.5.1" match="compatible"/>
-      <import feature="org.springframework.ide.eclipse.feature" version="2.5.1" match="compatible"/>
-      <import feature="org.springframework.ide.eclipse.integration.feature" version="2.5.1" match="compatible"/>
-      <import feature="org.springframework.ide.eclipse.osgi.feature" version="2.5.1" match="compatible"/>
-      <import feature="org.springframework.ide.eclipse.webflow.feature" version="2.5.1" match="compatible"/>
-      <import feature="org.springframework.ide.eclipse.security.feature" version="2.5.1" match="compatible"/>
-   </requires>
-
+	<requires>
+		<import feature="org.eclipse.wst.xml_ui.feature" match="greaterOrEqual" />
+		<import feature="org.eclipse.jdt" version="3.3.0" match="greaterOrEqual" />
+	</requires>
+
+	<plugin id="org.springframework.ide.eclipse.aop.core" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.aop.ui" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.aop.ui.matcher" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.core.autowire" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.ui.autowire" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.core" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.doc" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.ui" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.core" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.core.metadata" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.ui" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.ui.graph" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.ui.editor" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.ui.search" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.beans.ui.refactoring" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.osgi.core" version="2.0.0.M2-SNAPSHOT" unpack="false" />
+	<plugin id="org.springframework.osgi.io" version="2.0.0.M2-SNAPSHOT" unpack="false" />
+	<plugin id="edu.emory.mathcs.backport" version="3.1.0.v200902251154" unpack="false" />
+	<plugin id="com.springsource.org.antlr" version="3.0.1" unpack="false" />
+	<plugin id="javax.annotation" version="1.0.0.v20100513-0750" unpack="false" />
+	<plugin id="com.springsource.javax.jms" version="1.1.0" unpack="false" />
+	<plugin id="javax.xml.stream" version="1.0.1.v201004272200" unpack="false" />
+	<plugin id="org.aopalliance" version="1.0.0.v200905130917" unpack="false" />
+	<plugin id="org.apache.commons.collections" version="3.2.0.v201005080500" unpack="false" />
+	<plugin id="org.apache.commons.logging" version="1.1.1.v201005080502" unpack="false" />
+	<plugin id="com.springsource.org.aspectj.weaver" version="1.6.10.RELEASE" unpack="false" />
+	<plugin id="com.springsource.org.objectweb.asm" version="2.2.3" unpack="false" />
+	<plugin id="com.springsource.org.objectweb.asm.commons" version="2.2.3" unpack="false" />
+	<plugin id="org.springframework.aop" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.asm" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.beans" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.context" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.context.support" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.core" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.expression" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.jdbc" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.jms" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.orm" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.oxm" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.transaction" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.integration" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.integration" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.event" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.file" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.http" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.httpinvoker" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.ip" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.jdbc" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.jms" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.jmx" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.mail" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.rmi" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.security" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.stream" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.ws" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.integration.xml" version="2.0.0.M4" unpack="false" />
+	<plugin id="org.springframework.xml" version="1.5.8.A" unpack="false" />
+	<plugin id="org.springframework.ws" version="1.5.8.A" unpack="false" />
+	<plugin id="javax.mail" version="1.4.0.v201005080615" unpack="false" />
+	<plugin id="com.springsource.org.joda.time" version="1.6.0" unpack="false" />
+	<plugin id="com.springsource.org.codehaus.jackson" version="1.4.2" unpack="false" />
+	<plugin id="com.springsource.org.codehaus.jackson.mapper" version="1.4.2" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.osgi" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.osgi.targetdefinition" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.security.core" version="3.0.2.RELEASE" unpack="false" />
+	<plugin id="org.springframework.security.config" version="3.0.2.RELEASE" unpack="false" />
+	<plugin id="org.springframework.security.web" version="3.0.2.RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.security" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.apache.commons.codec" version="1.3.0.v20100518-1140" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.webflow.core" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.webflow.ui" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.webflow.ui.editor" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.ide.eclipse.webflow.ui.graph" version="2.5.1.201011101000-RELEASE" unpack="false" />
+	<plugin id="org.springframework.webflow" version="2.0.7.A" unpack="false" />
+	<plugin id="org.springframework.binding" version="2.0.7.A" unpack="false" />
+	<plugin id="org.springframework.faces" version="2.0.7.A" unpack="false" />
+	<plugin id="org.springframework.js" version="2.0.7.A" unpack="false" />
+	<plugin id="com.springsource.javax.el" version="1.0.0" unpack="false" />
+	<plugin id="org.springframework.web" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="org.springframework.web.servlet" version="3.0.5.RELEASE" unpack="false" />
+	<plugin id="com.springsource.javax.servlet" version="2.5.0" unpack="false" />
+	<plugin id="com.springsource.javax.servlet.jsp" version="2.1.0" unpack="false" />
+	<plugin id="com.springsource.javax.servlet.jsp.jstl" version="1.2.0" unpack="false" />
+	<plugin id="com.springsource.org.apache.myfaces.javax.faces" version="1.2.2" unpack="false" />
 </feature>