diff --git a/extras/site/site.xml b/extras/site/site.xml
index 53ad9a4..020ac11 100644
--- a/extras/site/site.xml
+++ b/extras/site/site.xml
@@ -8,53 +8,12 @@
 		<description>Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
 	</category-def>
 
-	<!-- UNCATEGORIZED, NOT INCLUDED -->
-	<!-- <feature url="features/com.jboss.jbds.product.extra.feature_0.0.0.jar" id="com.jboss.jbds.product.extra.feature" version="0.0.0"/> -->
-
-	<category-def name="TestNG (Certified)" label="TestNG (Certified)">
-		<description>Contains TestNG features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
-	<feature url="features/org.testng.eclipse_0.0.0.jar" id="org.testng.eclipse" version="0.0.0">
-		<category name="TestNG (Certified)" />
-	</feature>
-
 	<feature url="features/com.jboss.jbds.testng.feature_0.0.0.jar" id="com.jboss.jbds.testng.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="TestNG (Certified)" />
 	</feature>
 
-	<category-def name="Spring IDE (Certified)" label="Spring IDE (Certified)">
-		<description>Contains Spring IDE features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
-	<feature url="features/org.springframework.ide.eclipse.feature_0.0.0.jar" id="org.springframework.ide.eclipse.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
-	<feature url="features/org.springframework.ide.eclipse.aop.feature_0.0.0.jar" id="org.springframework.ide.eclipse.aop.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
-	<feature url="features/org.springframework.ide.eclipse.osgi.feature_0.0.0.jar" id="org.springframework.ide.eclipse.osgi.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
-	<feature url="features/org.springframework.ide.eclipse.webflow.feature_0.0.0.jar" id="org.springframework.ide.eclipse.webflow.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
-	<feature url="features/org.springframework.ide.eclipse.batch.feature_0.0.0.jar" id="org.springframework.ide.eclipse.batch.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
-	<feature url="features/org.springframework.ide.eclipse.integration.feature_0.0.0.jar" id="org.springframework.ide.eclipse.integration.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
-	<feature url="features/org.springframework.ide.eclipse.security.feature_0.0.0.jar" id="org.springframework.ide.eclipse.security.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
-	<feature url="features/org.springframework.ide.eclipse.autowire.feature_0.0.0.jar" id="org.springframework.ide.eclipse.autowire.feature" version="0.0.0">
-		<category name="Spring IDE (Certified)" />
-	</feature>
 	<feature url="features/com.jboss.jbds.springide.feature_0.0.0.jar" id="com.jboss.jbds.springide.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="Spring IDE (Certified)" />
 	</feature>
 
 	<!-- JBDS 4.1 -->
@@ -64,201 +23,40 @@
 		<description>Contains BPEL Editor features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. </description>
 	</category-def>
 
-	<feature url="features/org.jboss.tools.bpel.feature_0.0.0.jar" id="org.jboss.tools.bpel.feature" version="0.0.0">
-		<category name="BPEL Editor (Certified)" />
-	</feature>
-
 	<feature url="features/com.jboss.jbds.bpel.feature_0.0.0.jar" id="com.jboss.jbds.bpel.feature" version="0.0.0">
 		<category name="BPEL Editor (Certified)" />
 	</feature>
 
-	<category-def name="Git Integration (Certified)" label="Git Integration (Certified)">
-		<description>Contains eGit, jGit + GitHub features, including Mylyn integration (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
-	<feature url="features/org.eclipse.egit_0.0.0.jar" id="org.eclipse.egit" version="0.0.0">
-		<category name="Git Integration (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.jgit_0.0.0.jar" id="org.eclipse.jgit" version="0.0.0">
-		<category name="Git Integration (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.egit.mylyn_0.0.0.jar" id="org.eclipse.egit.mylyn" version="0.0.0">
-		<category name="Git Integration (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.github.feature_0.0.0.jar" id="org.eclipse.mylyn.github.feature" version="0.0.0">
-		<category name="Git Integration (Certified)" />
-	</feature>
 	<feature url="features/com.jboss.jbds.git.feature_0.0.0.jar" id="com.jboss.jbds.git.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="Git Integration (Certified)" />
 	</feature>
 
-	<category-def name="FindBugs (Certified)" label="FindBugs (Certified)">
-		<description>Contains FindBugs features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
 	<!-- just use JBDS FindBugs feature, not FindBugs feature itself -->
 	<feature url="features/com.jboss.jbds.findbugs.feature_0.0.0.jar" id="com.jboss.jbds.findbugs.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="FindBugs (Certified)" />
 	</feature>
 
-	<category-def name="PMD (Certified)" label="PMD (Certified)">
-		<description>Contains PMD features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
 	<!-- just use JBDS PMD feature, not PMD feature itself -->
 	<feature url="features/com.jboss.jbds.pmd.feature_0.0.0.jar" id="com.jboss.jbds.pmd.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="PMD (Certified)" />
 	</feature>
 
-	<category-def name="Mylyn (Certified)" label="Mylyn (Certified)">
-		<description>Contains Mylyn features and connectors (Certified). Includes integration for Bugzilla, JIRA, CVS, SVN, Git, Bamboo, Crucible, Fisheye, Wikitext. Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
-	<feature url="features/org.eclipse.mylyn.bugzilla_feature_0.0.0.jar" id="org.eclipse.mylyn.bugzilla_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.commons_0.0.0.jar" id="org.eclipse.mylyn.commons" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.context_feature_0.0.0.jar" id="org.eclipse.mylyn.context_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.cvs_0.0.0.jar" id="org.eclipse.mylyn.cvs" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn_feature_0.0.0.jar" id="org.eclipse.mylyn_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.git_0.0.0.jar" id="org.eclipse.mylyn.git" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.ide_feature_0.0.0.jar" id="org.eclipse.mylyn.ide_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.java_feature_0.0.0.jar" id="org.eclipse.mylyn.java_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.pde_feature_0.0.0.jar" id="org.eclipse.mylyn.pde_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.team_feature_0.0.0.jar" id="org.eclipse.mylyn.team_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.versions_0.0.0.jar" id="org.eclipse.mylyn.versions" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.wikitext_feature_0.0.0.jar" id="org.eclipse.mylyn.wikitext_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
 	<feature url="features/com.jboss.jbds.mylyn.feature_0.0.0.jar" id="com.jboss.jbds.mylyn.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="Mylyn (Certified)" />
 	</feature>
 	
-	<category-def name="Subclipse (Certified)" label="Subclipse (Certified)">
-		<description>Contains Subclipse and SVNKit features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
-	<feature url="features/com.collabnet.subversion.merge.feature_0.0.0.jar" id="com.collabnet.subversion.merge.feature" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/com.sun.jna_0.0.0.jar" id="com.sun.jna" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/org.tigris.subversion.clientadapter.feature_0.0.0.jar" id="org.tigris.subversion.clientadapter.feature" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/org.tigris.subversion.clientadapter.javahl.feature_0.0.0.jar" id="org.tigris.subversion.clientadapter.javahl.feature" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/org.tigris.subversion.clientadapter.svnkit.feature_0.0.0.jar" id="org.tigris.subversion.clientadapter.svnkit.feature" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/org.tigris.subversion.subclipse.graph.feature_0.0.0.jar" id="org.tigris.subversion.subclipse.graph.feature" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/org.tigris.subversion.subclipse.mylyn_0.0.0.jar" id="org.tigris.subversion.subclipse.mylyn" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/org.tigris.subversion.subclipse_0.0.0.jar" id="org.tigris.subversion.subclipse" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
-	<feature url="features/org.tmatesoft.svnkit_0.0.0.jar" id="org.tmatesoft.svnkit" version="0.0.0">
-		<category name="Subclipse (Certified)" />
-	</feature>
 	<feature url="features/com.jboss.jbds.subclipse.feature_0.0.0.jar" id="com.jboss.jbds.subclipse.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="Subclipse (Certified)" />
 	</feature>
 	
 	<!-- JBDS 5.0 -->
 	
-	<category-def name="JSLint (Certified)" label="JSLint (Certified)">
-		<description>Contains JSLint features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
-	<feature url="features/com.rockstarapps.aws.feature_0.0.0.jar" id="com.rockstarapps.aws.feature" version="0.0.0">
-		<category name="JSLint (Certified)" />
-	</feature>
-	<feature url="features/com.rockstarapps.html.core.feature_0.0.0.jar" id="com.rockstarapps.html.core.feature" version="0.0.0">
-		<category name="JSLint (Certified)" />
-	</feature>
-	<feature url="features/com.rockstarapps.jsLex_0.0.0.jar" id="com.rockstarapps.jsLex" version="0.0.0">
-		<category name="JSLint (Certified)" />
-	</feature>
-	<feature url="features/com.rockstarapps.jsLint_0.0.0.jar" id="com.rockstarapps.jsLint" version="0.0.0">
-		<category name="JSLint (Certified)" />
-	</feature>
-	<feature url="features/com.rockstarapps.workbench.branding.feature_0.0.0.jar" id="com.rockstarapps.workbench.branding.feature" version="0.0.0">
-		<category name="JSLint (Certified)" />
-	</feature>
-
 	<feature url="features/com.jboss.jbds.jslint.feature_0.0.0.jar" id="com.jboss.jbds.jslint.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="JSLint (Certified)" />
-	</feature>
-
-        <category-def name="Maven Integration (Certified)" label="Maven Integration (Certified)">
-		<description>Contains m2e and integration features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
-	</category-def>
-
-	<feature url="features/org.eclipse.m2e.feature_0.0.0.jar" id="org.eclipse.m2e.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.maven.ide.eclipse.wtp.feature_0.0.0.jar" id="org.maven.ide.eclipse.wtp.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
 	</feature>
 
-	<feature url="features/org.jboss.tools.maven.feature_0.0.0.jar" id="org.jboss.tools.maven.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.jboss.tools.maven.cdi.feature_0.0.0.jar" id="org.jboss.tools.maven.cdi.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.jboss.tools.maven.hibernate.feature_0.0.0.jar" id="org.jboss.tools.maven.hibernate.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.jboss.tools.maven.jsf.feature_0.0.0.jar" id="org.jboss.tools.maven.jsf.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.jboss.tools.maven.portlet.feature_0.0.0.jar" id="org.jboss.tools.maven.portlet.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.jboss.tools.maven.seam.feature_0.0.0.jar" id="org.jboss.tools.maven.seam.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.jboss.tools.maven.project.examples.feature_0.0.0.jar" id="org.jboss.tools.maven.project.examples.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
-	<feature url="features/org.maven.ide.eclipse.wtp.feature_0.0.0.jar" id="org.maven.ide.eclipse.wtp.feature" version="0.0.0">
-		<category name="Maven Integration (Certified)" />
-	</feature>
 	<feature url="features/com.jboss.jbds.m2e.feature_0.0.0.jar" id="com.jboss.jbds.m2e.feature" version="0.0.0">
 		<category name="All Certified Features" />
-		<category name="Maven Integration (Certified)" />
 	</feature>
 	
 </site>