Index: Reference_Guide/en-US/modules/Advanced/JCR/as_managed_datasources.xml
===================================================================
--- Reference_Guide.orig/en-US/modules/Advanced/JCR/as_managed_datasources.xml  2011-08-10 13:37:45.000000000 +1000
+++ Reference_Guide/en-US/modules/Advanced/JCR/as_managed_datasources.xml   2011-08-10 14:04:12.000580670 +1000
@@ -122,8 +122,7 @@
                                      <term>&lt;depends&gt;</term>
                                      <listitem>
                                         <para>
-                                          The <literal>ObjectName</literal> of an MBean service this <classname>ConnectionFactory</classname>
-                                          or<classname>DataSource</classname> deployment depends upon. The connection manager service will not be started until the dependent services have been started. 
+                                            The <literal>ObjectName</literal> of an MBean service this <classname>ConnectionFactory</classname> or <classname>DataSource</classname> deployment depends upon. The connection manager service will not be started until the dependent services have been started.
                                         </para>
                                      </listitem>
                                   </varlistentry>
@@ -176,19 +175,19 @@
                                         <itemizedlist>
                                           <title>Possible values for &lt;transaction-isolation&gt;</title>
                                           <listitem>
-                                             <para>TRANSACTION_READ_UNCOMMITTED</para>
+                                             <para><parameter>TRANSACTION_READ_UNCOMMITTED</parameter></para>
                                           </listitem>
                                           <listitem>
-                                             <para>TRANSACTION_READ_COMMITTED</para>
+                                             <para><parameter>TRANSACTION_READ_COMMITTED</parameter></para>
                                           </listitem>
                                           <listitem>
-                                             <para>TRANSACTION_REPEATABLE_READ</para>
+                                             <para><parameter>TRANSACTION_REPEATABLE_READ</parameter></para>
                                           </listitem>
                                           <listitem>
-                                             <para>TRANSACTION_SERIALIZABLE</para>
+                                             <para><parameter>TRANSACTION_SERIALIZABLE</parameter></para>
                                           </listitem>
                                           <listitem>
-                                             <para>TRANSACTION_NONE</para>
+                                             <para><parameter>TRANSACTION_NONE</parameter></para>
                                           </listitem>
                                         </itemizedlist>
                                      </listitem>
@@ -229,7 +228,7 @@
                                      <term>&lt;track-statements&gt;</term>
                                      <listitem>
                                         <para>
-                                 Whether to monitor for unclosed Statements and ResultSets and issue warnings when they haven&apos;t been closed. The default value is <literal>NOWARN</literal>.
+                                 Whether to monitor for unclosed Statements and ResultSets and issue warnings when they have not been closed. The default value is <literal>NOWARN</literal>.
                               </para>
                                      </listitem>
                                   </varlistentry>
@@ -245,10 +244,10 @@
                                      <term>&lt;share-prepared-statements&gt;</term>
                                      <listitem>
                                         <para>
-                                 When the &lt;prepared-statement-cache-size&gt; is non-zero, determines whether two requests in the same transaction should return the same statement. Defaults to <literal>FALSE</literal>.
+                                 When the <parameter>&lt;prepared-statement-cache-size&gt;</parameter> is non-zero, determines whether two requests in the same transaction should return the same statement. Defaults to <literal>FALSE</literal>.
                               </para>
                                         <example>
-                                          <title>Using &lt;share-prepared-statements&gt;</title>
+                                          <title>Using <parameter>&lt;share-prepared-statements&gt;</parameter></title>
                                           <para>
                                     The goal is to work around questionable driver behavior, where the driver applies auto-commit semantics to local transactions.
                                  </para>
@@ -277,15 +276,15 @@
                                      <term>&lt;query-timeout&gt;</term>
                                      <listitem>
                                         <para>
-                                 The maximum time, in seconds, before a query times out.  You can override this value by setting &lt;set-tx-query-timeout&gt; to <literal>TRUE</literal>.
+                                 The maximum time, in seconds, before a query times out.  You can override this value by setting <parameter>&lt;set-tx-query-timeout&gt;</parameter> to <literal>TRUE</literal>.
                               </para>
                                      </listitem>
                                   </varlistentry>
                                   <varlistentry>
-                                     <term>&lt;metadata&gt;&gt;&lt;type-mapping&gt;</term>
+                                     <term>&lt;type-mapping&gt;</term>
                                      <listitem>
                                         <para>
-                                 A pointer to the type mapping in <filename>conf/standardjbosscmp.xml</filename>. A legacy from JBoss4.
+                                 A pointer to the type mapping in <filename>conf/standardjbosscmp.xml</filename>. This element is a child element of <parameter>&lt;metadata&gt;</parameter>. A legacy from JBoss4.
                               </para>
                                      </listitem>
                                   </varlistentry>
@@ -293,7 +292,7 @@
                                      <term>&lt;validate-on-match&gt;</term>
                                      <listitem>
                                         <para>
-                                 Whether to validate the connection when the JCA layer matches a managed connection, such as when the connection is checked out of the pool. With the addition of &lt;background-validation&gt; this is not required.  It is usually not necessary to specify <literal>TRUE</literal> for &lt;validate-on-match&gt; in conjunction with specifying <literal>TRUE</literal> for &lt;background-validation&gt;. Defaults to <literal>TRUE</literal>.
+                                 Whether to validate the connection when the JCA layer matches a managed connection, such as when the connection is checked out of the pool. With the addition of <parameter>&lt;background-validation&gt;</parameter> this is not required.  It is usually not necessary to specify <literal>TRUE</literal> for <parameter>&lt;validate-on-match&gt;</parameter> in conjunction with specifying <literal>TRUE</literal> for <parameter>&lt;background-validation&gt;</parameter>. Defaults to <literal>TRUE</literal>.
                               </para>
                                      </listitem>
                                   </varlistentry>
@@ -309,7 +308,7 @@
                                      <term>&lt;background-validation&gt;</term>
                                      <listitem>
                                         <para>
-                                 Background connection validation reduces the overall load on the RDBMS system when validating a connection. When using this feature, EAP checks whether the current connection in the pool  a separate thread (ConnectionValidator). &lt;background-validation-minutes&gt; depends on this value also being set to <literal>TRUE</literal>. Defaults to <literal>FALSE</literal>.
+                                 Background connection validation reduces the overall load on the RDBMS system when validating a connection. When using this feature, EAP checks whether the current connection in the pool  a separate thread (ConnectionValidator). <parameter>&lt;background-validation-minutes&gt;</parameter> depends on this value also being set to <literal>TRUE</literal>. Defaults to <literal>FALSE</literal>.
                               </para>
                                      </listitem>
                                   </varlistentry>
@@ -317,12 +316,10 @@
                                      <term>&lt;background-validation-millis&gt;</term>
                                      <listitem>
                                         <para>
-                                                Background connection validation reduces the overall load on the RDBMS system when validating a
-                                                connection. Setting this parameter means that JBoss will attempt to validate the current connections in
-                                                the pool as a separate thread (<classname>ConnectionValidator</classname>). This parameter&apos;s value
-                                                defines the interval, in milliseconds, for which the <classname>ConnectionValidator</classname> will
-                                                run. (This value should not be the same as your <literal><![CDATA[<idle-timeout-minutes]]></literal>
-                                                value.)
+                                            Background connection validation reduces the overall load on the RDBMS system when validating a connection. Setting this parameter means that JBoss will attempt to validate the current connections in the pool as a separate thread (<classname>ConnectionValidator</classname>). This parameter&apos;s value defines the interval, in milliseconds, for which the <classname>ConnectionValidator</classname> will run.
+                                        </para>
+                                        <para>
+                                            This value should not be the same as your <literal>&lt;idle-timeout-minutes&gt;</literal> value.
 
                                         </para>
                                      </listitem>
@@ -362,7 +359,7 @@
                               </para>
                                         <note>
                                           <para>
-                                    You should set this to a smallervalue than &lt;idle-timeout-minutes&gt;, unless you have specified &lt;min-pool-size&gt; a minimum pool size set.
+                                    You should set this to a smallervalue than <parameter>&lt;idle-timeout-minutes&gt;</parameter>, unless you have specified <parameter>&lt;min-pool-size&gt;</parameter> a minimum pool size set.
                                  </para>
                                         </note>
                                      </listitem>
@@ -371,7 +368,7 @@
                                      <term>&lt;url-delimiter&gt;, &lt;url-property&gt;, &lt;url-selector-strategy-class-name&gt;</term>
                                      <listitem>
                                         <para>
-                                         Parameters dealing with database failover. As of JBoss Enterprise Application Platform 5.1, these are configured as part of the main datasource configuration. In previous versions, &lt;url-delimiter&gt; appeared as &lt;url-delimeter&gt;.
+                                         Parameters dealing with database failover. As of JBoss Enterprise Application Platform 5.1, these are configured as part of the main datasource configuration. In previous versions, <parameter>&lt;url-delimiter&gt;</parameter> appeared as <parameter>&lt;url-delimeter&gt;</parameter>.
                                       </para>
                                      </listitem>
                                   </varlistentry>
@@ -395,7 +392,7 @@
                                      <term>&lt;min-pool-size&gt;</term>
                                      <listitem>
                                         <para>
-                                 The minimum number of connections maintained in the pool.  Unless &lt;prefill&gt; is <literal>TRUE</literal>, the pool remains empty until the first use, at which point the pool is filled to the &lt;min-pool-size&gt;.  When the pool size drops below the &lt;min-pool-size&gt; due to idle timeouts, the pool is refilled to the &lt;min-pool-size&gt;.  Defaults to <literal>0</literal>.
+                                 The minimum number of connections maintained in the pool.  Unless <parameter>&lt;prefill&gt;</parameter> is <literal>TRUE</literal>, the pool remains empty until the first use, at which point the pool is filled to the <parameter>&lt;min-pool-size&gt;</parameter>.  When the pool size drops below the <parameter>&lt;min-pool-size&gt;</parameter> due to idle timeouts, the pool is refilled to the <parameter>&lt;min-pool-size&gt;</parameter>.  Defaults to <literal>0</literal>.
                               </para>
                                      </listitem>
                                   </varlistentry>
@@ -444,7 +441,7 @@
                                  Used to configure the connections retrieved from the <classname>java.sql.Driver</classname>.
                               </para>
                                         <example>
-                                          <title>Example &lt;connection-property&gt;</title>
+                                          <title>Example <parameter>&lt;connection-property&gt;</parameter></title>
 <programlisting language="XML" role="XML">
 &lt;connection-property name=&quot;char.encoding&quot;&gt;UTF-8&lt;/connection-property&gt;
 </programlisting>
@@ -469,7 +466,7 @@
                                  Properties used to configure the <classname>XADataSource</classname>.
                               </para>
                                         <example>
-                                          <title>Example &lt;xa-datasource-property&gt; Declarations</title>
+                                          <title>Example <parameter>&lt;xa-datasource-property&gt; Declarations</parameter></title>
 <programlisting language="XML" role="XML">&lt;xa-datasource-property name=&quot;IfxWAITTIME&quot;&gt;10&lt;/xa-datasource-property&gt;
 &lt;xa-datasource-property name=&quot;IfxIFXHOST&quot;&gt;myhost.mydomain.com&lt;/xa-datasource-property&gt;
 &lt;xa-datasource-property name=&quot;PortNumber&quot;&gt;1557&lt;/xa-datasource-property&gt;
@@ -517,9 +514,7 @@
                                 <variablelist>
                                   <title>Security Parameters</title>
                                   <varlistentry>
-                                     <term>
-                                        <literal><![CDATA[<application-managed-security>]]></literal>
-                                     </term>
+                                     <term>&lt;application-managed-security&gt;</term>
                                      <listitem>
                                         <para>
                                           Uses the username and password passed on the <methodname>getConnection</methodname> or
@@ -528,9 +523,7 @@
                                      </listitem>
                                   </varlistentry>
                                   <varlistentry>
-                                     <term>
-                                        <literal><![CDATA[<security-domain>]]></literal>
-                                     </term>
+                                     <term>&lt;security-domain&gt;</term>
                                      <listitem>
                                         <para>
                                           Uses the identified login module configured in <filename>conf/login-module.xml</filename>.
@@ -538,9 +531,7 @@
                                      </listitem>
                                   </varlistentry>
                                   <varlistentry>
-                                     <term>
-                                        <literal><![CDATA[<security-domain-and-application>]]></literal>
-                                     </term>
+                                     <term>&lt;security-domain-and-application&gt;</term>
                                      <listitem>
                                         <para>
                                           Uses the identified login module configured in <filename>conf/login-module.xml</filename> and other
@@ -590,7 +581,7 @@
                                 </variablelist>
                                 <para>
                                   The fields in <xref linkend="xa-recovery-parameters" /> should have a fall back value of their non-recover
-                                  counterparts: &lt;user-name&gt;,&lt; password&gt; and &lt;security-domain&gt;.
+                                  counterparts: <parameter>&lt;user-name&gt;</parameter>, <parameter>&lt; password&gt;</parameter> and <parameter>&lt;security-domain&gt;</parameter>.
                                 </para>
                              </section>
                              <section>
@@ -619,7 +610,7 @@
                                   </para>
                                   <note>
                                      <para>
-                              Use of the &lt;use-java-context&gt; setting is not recommended in a production environment. It requires accessing a
+                              Use of the <parameter>&lt;use-java-context&gt;</parameter> setting is not recommended in a production environment. It requires accessing a
                               connection pool remotely and this can cause unexpected problems, since connections are not serializable. Also,
                               transaction propagation is not supported, since it can lead to connection leaks if unreliability is present, such as
                               in a system crash or network failure. A remote session bean facade is the preferred way to access a datasource
@@ -632,7 +623,7 @@
                                   <procedure>
                                      <title>Configuring a Datasource to Use Login Modules</title>
                                      <step>
-                                        <title>Add the &lt;security-domain-parameter&gt; to the XML file for the datasource.</title>
+                                        <title>Add the <parameter>&lt;security-domain-parameter&gt;</parameter> to the XML file for the datasource.</title>
 <programlisting language="XML" role="XML">
  &lt;datasources&gt;
     &lt;local-tx-datasource&gt;