### Eclipse Workspace Patch 1.0
#P com.jboss.jbds.central
Index: plugin.xml
===================================================================
--- plugin.xml	(revision 8335)
+++ plugin.xml	(working copy)
@@ -33,23 +33,18 @@
       <category 
       		id="org.jboss.tools.central.javaee6.quickstart"
       		name="Java EE 6 Template Projects"
-      		priority="1" />
-      <!--
+      		priority="2" />
+      
       <category 
       		id="org.jboss.tools.central.jbossas.quickstart"
-      		name="JBoss AS 7 Quickstarts"
+      		name="JBoss Quickstarts"
       		description="These quickstarts are aimed to get you up to writing applications with minimal fuss. We recommend that you work through the quickstarts in the order they are presented in this guide, however if you have previous experience with Java EE 6, you may wish to skip some or all of the quickstarts."
-      		priority="2" />
-      <category 
-      		id="org.jboss.tools.central.seam2"
-      		name="Seam 2 Tutorials"
-      		description="These tutorials are intended to help you develop Seam 2 applications."
-      		priority="5" />
-      
+      		priority="1" />
+      		
       <tutorial
             id="org.jboss.tools.central.jbossas.quickstart.helloworld"
             categoryId="org.jboss.tools.central.jbossas.quickstart"
-            name="Helloworld quickstart"
+            name="Helloworld"
             type="projectExample"
             priority="1"
             icon="icons/jbossas7.png"
@@ -57,7 +52,7 @@
       <tutorial
             id="org.jboss.tools.central.jbossas.quickstart.numberguess"
             categoryId="org.jboss.tools.central.jbossas.quickstart"
-            name="Numberguess quickstart"
+            name="Numberguess"
             type="projectExample"
             priority="2"
             icon="icons/jbossas7.png"
@@ -66,7 +61,7 @@
       <tutorial
             id="org.jboss.tools.central.jbossas.quickstart.login"
             categoryId="org.jboss.tools.central.jbossas.quickstart"
-            name="Login quickstart"
+            name="Login"
             type="projectExample"
             priority="3"
             icon="icons/jbossas7.png"
@@ -75,13 +70,23 @@
       <tutorial
             id="org.jboss.tools.central.jbossas.quickstart.kitchensink"
             categoryId="org.jboss.tools.central.jbossas.quickstart"
-            name="Kitchensink quickstart"
+            name="Kitchensink"
             type="projectExample"
             priority="4"
             icon="icons/jbossas7.png"
             reference="JBoss AS 7 Quickstarts::kitchensink"/>
-      -->
+
       <tutorial
+            id="org.jboss.tools.central.jbossas.quickstart.poh5helloworld"
+            categoryId="org.jboss.tools.central.jbossas.quickstart"
+            name="HTML5"
+            type="projectExample"
+            priority="5"
+            icon="icons/jbossas7.png"
+            reference="JBoss AS 7 Quickstarts::poh5-helloworld"/>
+      
+      		
+      <tutorial
             id="org.jboss.tools.central.jbossas.quickstart.jbossJavaee6Webapp"
             categoryId="org.jboss.tools.central.javaee6.quickstart"
             name="Java EE 6 WAR"
#P download.jboss.org
Index: jbosstools/examples/project-examples-jbds50.xml
===================================================================
--- jbosstools/examples/project-examples-jbds50.xml	(revision 36777)
+++ jbosstools/examples/project-examples-jbds50.xml	(working copy)
@@ -279,5 +279,254 @@
 			<javaPackage>org.jboss.tools.example.richfaces</javaPackage>
 		</mavenArchetype>
 	</project>
+	<project>
+		<category>JBoss AS 7 Quickstarts</category>
+		<name>helloworld</name>
+		<included-projects>jboss-as-helloworld</included-projects>
+		<shortDescription>Helloworld Example</shortDescription>
+		<description>
+This example demonstrates the use of CDI 1.0 and Servlet 3 in JBoss AS 7.
+The example can be deployed using Maven from the command line or from Eclipse using JBoss Tools.
+		</description>
+		<size>8192</size>
+		<url>http://anonsvn.jboss.org/repos/jbosstools/workspace/snjeza/jbossas7-examples/helloworld.zip</url>
+		<fixes>
+			<fix type="wtpruntime">
+				<property name="allowed-types">org.jboss.ide.eclipse.as.runtime.70, org.jboss.ide.eclipse.as.runtime.71</property>
+				<property name="description">This project example requires JBoss AS 7.0/7.1</property>
+				<property name="downloadId">org.jboss.tools.runtime.core.as.702</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.eclipse.m2e.core</property>
+				<property name="versions">[1.0.0,1.2.0)</property>
+				<property name="description">This project example requires m2e &gt;= 1.0.</property>
+				<property name="connectorIds">org.eclipse.m2e.feature</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.maven.ide.eclipse.wtp</property>
+				<property name="versions">[0.13.1,0.15.0)</property>
+				<property name="description">This project example requires m2eclipse-wtp &gt;= 0.13.1.</property>
+				<property name="connectorIds">org.maven.ide.eclipse.wtp</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.jboss.tools.maven.core</property>
+				<property name="versions">[1.3.0,1.4.0)</property>
+				<property name="description">This project example requires JBoss Maven Tools.</property>
+				<property name="connectorIds">org.jboss.tools.maven.feature,org.jboss.tools.maven.cdi.feature,org.jboss.tools.maven.hibernate.feature,org.jboss.tools.maven.jaxrs.feature, org.jboss.tools.maven.portlet.feature,org.jboss.tools.maven.seam.feature</property>
+			</fix>
+		</fixes>
+		<importType>maven</importType>
+		<importTypeDescription>The project example requires the m2eclipse, m2eclipse-wtp and JBoss Maven Project Examples feature.</importTypeDescription>
+		<welcome type="cheatsheets" url="/jboss-as-helloworld/cheatsheets/helloworld.xml"/> 
+	</project>
+	
+	<project>
+		<category>JBoss AS 7 Quickstarts</category>
+		<name>helloworld-osgi</name>
+		<included-projects>jboss-as-helloworld-osgi</included-projects>
+		<shortDescription>Helloworld OSGi Example</shortDescription>
+		<description>
+This example demonstrates the use of OSGi in JBoss AS 7.
+The example can be deployed using Maven from the command line, by using the AS 7 web console or by dropping the OSGi bundle in the deployments folder.
+
+To deploy to JBoss AS 7 using JBoss Tools, start JBoss AS 7, right-click the project, select Run As>Maven build..., enter "package jboss-as:deploy" in the Goals field and click the Run button.
+This will build, deploy and start the OSGi bundle.
+You will see a Hello AS7 World!! message appear on the console when this is done.
+		</description>
+		<size>8192</size>
+		<url>http://anonsvn.jboss.org/repos/jbosstools/workspace/snjeza/jbossas7-examples/helloworld-osgi.zip</url>
+		<fixes>
+			<fix type="wtpruntime">
+				<property name="allowed-types">org.jboss.ide.eclipse.as.runtime.70, org.jboss.ide.eclipse.as.runtime.71</property>
+				<property name="description">This project example requires JBoss AS 7.0/7.1</property>
+				<property name="downloadId">org.jboss.tools.runtime.core.as.702</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.eclipse.m2e.core</property>
+				<property name="versions">[1.0.0,1.2.0)</property>
+				<property name="description">This project example requires m2e &gt;= 1.0.</property>
+				<property name="connectorIds">org.eclipse.m2e.feature</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.maven.ide.eclipse.wtp</property>
+				<property name="versions">[0.13.1,0.15.0)</property>
+				<property name="description">This project example requires m2eclipse-wtp &gt;= 0.13.1.</property>
+				<property name="connectorIds">org.maven.ide.eclipse.wtp</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.jboss.tools.maven.core</property>
+				<property name="versions">[1.3.0,1.4.0)</property>
+				<property name="description">This project example requires JBoss Maven Tools.</property>
+				<property name="connectorIds">org.jboss.tools.maven.feature,org.jboss.tools.maven.cdi.feature,org.jboss.tools.maven.hibernate.feature,org.jboss.tools.maven.jaxrs.feature, org.jboss.tools.maven.portlet.feature,org.jboss.tools.maven.seam.feature</property>
+			</fix>
+		</fixes>
+		<importType>maven</importType>
+		<importTypeDescription>The project example requires the m2eclipse, m2eclipse-wtp and JBoss Maven Project Examples feature.</importTypeDescription> 
+	</project>
+	
+	
+	<project>
+		<category>JBoss AS 7 Quickstarts</category>
+		<name>login</name>
+		<included-projects>jboss-as-login</included-projects>
+		<shortDescription>Login Example</shortDescription>
+		<description>
+This example demonstrates the use of CDI 1.0, JPA 2.0, JTA 1.1, EJB 3.1 and JSF 2.0 in JBoss AS 7.
+The example can be deployed using Maven from the command line or from Eclipse using JBoss Tools.		
+		</description>
+<size>8192</size>
+		<url>http://anonsvn.jboss.org/repos/jbosstools/workspace/snjeza/jbossas7-examples/login.zip</url>
+		<fixes>
+			<fix type="wtpruntime">
+				<property name="allowed-types">org.jboss.ide.eclipse.as.runtime.70, org.jboss.ide.eclipse.as.runtime.71</property>
+				<property name="description">This project example requires JBoss AS 7.0/7.1</property>
+				<property name="downloadId">org.jboss.tools.runtime.core.as.702</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.eclipse.m2e.core</property>
+				<property name="versions">[1.0.0,1.2.0)</property>
+				<property name="description">This project example requires m2e &gt;= 1.0.</property>
+				<property name="connectorIds">org.eclipse.m2e.feature</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.maven.ide.eclipse.wtp</property>
+				<property name="versions">[0.13.1,0.15.0)</property>
+				<property name="description">This project example requires m2eclipse-wtp &gt;= 0.13.1.</property>
+				<property name="connectorIds">org.maven.ide.eclipse.wtp</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.jboss.tools.maven.core</property>
+				<property name="versions">[1.3.0,1.4.0)</property>
+				<property name="description">This project example requires JBoss Maven Tools.</property>
+				<property name="connectorIds">org.jboss.tools.maven.feature,org.jboss.tools.maven.cdi.feature,org.jboss.tools.maven.hibernate.feature,org.jboss.tools.maven.jaxrs.feature, org.jboss.tools.maven.portlet.feature,org.jboss.tools.maven.seam.feature</property>
+			</fix>
+		</fixes>
+		<importType>maven</importType>
+		<importTypeDescription>The project example requires the m2eclipse, m2eclipse-wtp and JBoss Maven Project Examples feature.</importTypeDescription>
+		<welcome type="cheatsheets" url="/jboss-as-login/cheatsheets/login.xml"/> 
+	</project>
+	
+	<project>
+		<category>JBoss AS 7 Quickstarts</category>
+		<name>numberguess</name>
+		<included-projects>jboss-as-numberguess</included-projects>
+		<shortDescription>Numberguess Example</shortDescription>
+		<description>
+This example demonstrates the use of CDI 1.0 and JSF 2.0 in JBoss AS 7.
+The example can be deployed using Maven from the command line or from Eclipse using JBoss Tools.
+		</description>
+<size>8192</size>
+		<url>http://anonsvn.jboss.org/repos/jbosstools/workspace/snjeza/jbossas7-examples/numberguess.zip</url>
+		<fixes>
+			<fix type="wtpruntime">
+				<property name="allowed-types">org.jboss.ide.eclipse.as.runtime.70, org.jboss.ide.eclipse.as.runtime.71</property>
+				<property name="description">This project example requires JBoss AS 7.0/7.1</property>
+				<property name="downloadId">org.jboss.tools.runtime.core.as.702</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.eclipse.m2e.core</property>
+				<property name="versions">[1.0.0,1.2.0)</property>
+				<property name="description">This project example requires m2e &gt;= 1.0.</property>
+				<property name="connectorIds">org.eclipse.m2e.feature</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.maven.ide.eclipse.wtp</property>
+				<property name="versions">[0.13.1,0.15.0)</property>
+				<property name="description">This project example requires m2eclipse-wtp &gt;= 0.13.1.</property>
+				<property name="connectorIds">org.maven.ide.eclipse.wtp</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.jboss.tools.maven.core</property>
+				<property name="versions">[1.3.0,1.4.0)</property>
+				<property name="description">This project example requires JBoss Maven Tools.</property>
+				<property name="connectorIds">org.jboss.tools.maven.feature,org.jboss.tools.maven.cdi.feature,org.jboss.tools.maven.hibernate.feature,org.jboss.tools.maven.jaxrs.feature, org.jboss.tools.maven.portlet.feature,org.jboss.tools.maven.seam.feature</property>
+			</fix>
+		</fixes>
+		<importType>maven</importType>
+		<importTypeDescription>The project example requires the m2eclipse, m2eclipse-wtp and JBoss Maven Project Examples feature.</importTypeDescription>
+		<welcome type="cheatsheets" url="/jboss-as-numberguess/cheatsheets/numberguess.xml"/>  
+	</project>
+	
+	<project>
+		<category>JBoss AS 7 Quickstarts</category>
+		<name>kitchensink</name>
+		<included-projects>jboss-as-kitchensink</included-projects>
+		<shortDescription>Kitchensink Example</shortDescription>
+		<description>
+This is your project! It's a sample, deployable Maven 3 project to help you get your foot in the door developing with Java EE 6 on JBoss AS 7.
+This project is setup to allow you to create a compliant Java EE 6 application using JSF 2.0, CDI 1.0, EJB 3.1, JPA 2.0 and Bean Validation 1.0.
+It includes a persistence unit and some sample persistence and transaction code to help you get your feet wet with database access in enterprise Java.
+		</description>
+<size>8192</size>
+		<url>http://anonsvn.jboss.org/repos/jbosstools/workspace/snjeza/jbossas7-examples/kitchensink.zip</url>
+		<fixes>
+			<fix type="wtpruntime">
+				<property name="allowed-types">org.jboss.ide.eclipse.as.runtime.70, org.jboss.ide.eclipse.as.runtime.71</property>
+				<property name="description">This project example requires JBoss AS 7.0/7.1</property>
+				<property name="downloadId">org.jboss.tools.runtime.core.as.702</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.eclipse.m2e.core</property>
+				<property name="versions">[1.0.0,1.2.0)</property>
+				<property name="description">This project example requires m2e &gt;= 1.0.</property>
+				<property name="connectorIds">org.eclipse.m2e.feature</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.maven.ide.eclipse.wtp</property>
+				<property name="versions">[0.13.1,0.15.0)</property>
+				<property name="description">This project example requires m2eclipse-wtp &gt;= 0.13.1.</property>
+				<property name="connectorIds">org.maven.ide.eclipse.wtp</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.jboss.tools.maven.core</property>
+				<property name="versions">[1.3.0,1.4.0)</property>
+				<property name="description">This project example requires JBoss Maven Tools.</property>
+				<property name="connectorIds">org.jboss.tools.maven.feature,org.jboss.tools.maven.cdi.feature,org.jboss.tools.maven.hibernate.feature,org.jboss.tools.maven.jaxrs.feature, org.jboss.tools.maven.portlet.feature,org.jboss.tools.maven.seam.feature</property>
+			</fix>
+		</fixes>
+		<importType>maven</importType>
+		<importTypeDescription>The project example requires the m2eclipse, m2eclipse-wtp and JBoss Maven Project Examples feature.</importTypeDescription>
+		<welcome type="cheatsheets" url="/jboss-as-kitchensink/cheatsheets/kitchensink.xml"/> 
+	</project>
+	<project>
+		<category>JBoss AS 7 Quickstarts</category>
+		<name>poh5-helloworld</name>
+		<included-projects>poh5-helloworld</included-projects>
+		<shortDescription>HTML5 Example for mobile devices</shortDescription>
+		<description>This example demonstrates the use of *CDI 1.0* and *JAX-RS* in *JBoss AS 7* using the Plain Old HTML5 (POH5) architecture.
+POH5 is basically a smart, HTML5+CSS3+JavaScript front-end using RESTful services on the backend.</description>
+        <size>7266</size>
+		<url>http://anonsvn.jboss.org/repos/jbosstools/workspace/snjeza/jbossas7-examples/poh5-helloworld.zip</url>
+		<fixes>
+			<fix type="wtpruntime">
+				<property name="allowed-types">org.jboss.ide.eclipse.as.runtime.70, org.jboss.ide.eclipse.as.runtime.71</property>
+				<property name="description">This project example requires JBoss AS 7.0/7.1</property>
+				<property name="downloadId">org.jboss.tools.runtime.core.as.702</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.eclipse.m2e.core</property>
+				<property name="versions">[1.0.0,1.2.0)</property>
+				<property name="description">This project example requires m2e &gt;= 1.0.</property>
+				<property name="connectorIds">org.eclipse.m2e.feature</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.maven.ide.eclipse.wtp</property>
+				<property name="versions">[0.13.1,0.16.0)</property>
+				<property name="description">This project example requires m2eclipse-wtp &gt;= 0.13.1.</property>
+				<property name="connectorIds">org.maven.ide.eclipse.wtp</property>
+			</fix>
+			<fix type="plugin">
+				<property name="id">org.jboss.tools.maven.core</property>
+				<property name="versions">[1.3.0,1.4.0)</property>
+				<property name="description">This project example requires JBoss Maven Tools.</property>
+				<property name="connectorIds">org.jboss.tools.maven.feature,org.jboss.tools.maven.cdi.feature,org.jboss.tools.maven.hibernate.feature,org.jboss.tools.maven.jaxrs.feature, org.jboss.tools.maven.portlet.feature,org.jboss.tools.maven.seam.feature</property>
+			</fix>
+		</fixes>
+		<importType>maven</importType>
+		<importTypeDescription>The project example requires the m2eclipse, m2eclipse-wtp and JBoss Maven Project Examples feature.</importTypeDescription>
+        <!-- no cheatsheet yet
+        <welcome type="cheatsheets" url="/poh5-helloworld/cheatsheets/poh5-helloworld.xml"/> 
+        -->
+	</project>
 </projects>
 